dpkg-gencontrol(1)

NOMBRE
dpkg-gencontrol - Generación de ficheros de control de Debian

SINOPSIS
dpkg-gencontrol [opción...]

DESCRIPCIÓN
dpkg-gencontrol lee la información desde un árbol de fuentes de Debian desempaquetado, y genera un fichero de control de paquete binario (por omisión ubicado en «debian/tmp/DEBIAN/control»); durante el proceso, también simplificará los campos de las relaciones.

Thus Pre-Depends, Depends, Recommends and Suggests are simplified in this order by removing dependencies which are known to be true according to the stronger dependencies already parsed. It will also remove any self-dependency (in fact it will remove any dependency which evaluates to true given the current version of the package as installed). Logically it keeps the intersection of multiple dependencies on the same package. The order of dependencies is preserved as best as possible: if any dependency must be discarded due to another dependency appearing further in the field, the superseding dependency will take the place of the discarded one.

The other relation fields (Enhances, Conflicts, Breaks, Replaces and Provides) are also simplified individually by computing the union of the various dependencies when a package is listed multiple times in the field.

dpkg-gencontrol también añade una entrada para el paquete binario en debian/files.

OPCIONES

-vversión
    Define el número de versión del paquete binario a generar.

-Vnombre=valor
    Define una variable de sustitución de la salida. Consulte deb-substvars(5) para más información acerca de la sustitución de la salida.

-Tfichero-variables-sustitución
    Read substitution variables in substvars-file; the default is debian/substvars. This option can be used multiple times to read substitution variables from multiple files (since dpkg 1.15.6).

-Dcampo=valor
    Sobreescribe o añade un campo en el fichero de control de salida.

-Ucampo
    Elimina un campo del fichero de control de salida.

-cfichero-de-control
    Define el fichero de control principal de las fuentes del que leer la información. Por omisión es debian/control.

-lfichero-de-cambios
    Define el fichero de registro de cambios del que leer la información. Por omisión es debian/changelog.

-ffichero-de-lista-de-ficheros
    Lee o escribe la lista de ficheros a subir desde el fichero especificado, en lugar de utilizar debian/files.

-Fformato-fichero-de-cambios
    Define el formato del fichero de cambios. Para información sobre formatos alternativos consulte dpkg-parsechangelog(1).

-ppaquete
    Genera información para el paquete binario paquete. Puede omitir esta opción si el fichero de control de las fuentes lista un sólo paquete binario; de no ser así, es esencial seleccionar el paquete binario del cual se desea generar la información.

-nnombrefichero
    Supone que el nombre de fichero del paquete será nombre-fichero en vez del habitual, «paquete_versión_arquitectura.deb».

-is, -ip, -isp
    These options are ignored for compatibility with older versions of the dpkg build scripts but are now deprecated. Previously they were used to tell dpkg-gencontrol to include the Section and Priority fields in the control file. This is now the default behaviour. If you want to get the old behaviour you can use the -U option to delete the fields from the control file.

-Pdirectorio-compilación-paquete
    Indica a dpkg-source que el paquete se está creando en directorio-compilación-paquete en vez de debian/tmp. Se usa para encontrar el valor por omisión de la variable de sustitución y campo del fichero de control Installed-Size, tamaño instalado, (usando du), y para establecer la ruta predefinida del fichero de salida.

-O[filename]
    Print the control file to standard output (or filename if specified, since dpkg 1.17.2), rather than to debian/tmp/DEBIAN/control (or package-build-dir/DEBIAN/control if -P was used).

-?, --help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

FICHEROS

debian/control
    El fichero de información de control de fuentes principal, que da información independiente de la versión acerca del paquete fuente y los paquetes binarios que puede generar.

debian/files
    La lista de ficheros generados que forman parte de la subida en preparación. dpkg-gencontrol añade los supuestos nombres de fichero de paquetes binarios cuyos ficheros de control genera.

VÉASE TAMBIÉN
deb-substvars(5), deb-src-control(5), deb-changelog(5), deb-control(5).

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.